package com.ruoyi.project.training.spec.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.spec.domain.TStYearplan;

/**
 * 专项培训年度计划Mapper接口
 *
 * @author ly
 * @date 2022-04-24
 */
public interface TStYearplanMapper
{
    /**
     * 查询专项培训年度计划
     *
     * @param id 专项培训年度计划ID
     * @return 专项培训年度计划
     */
    public TStYearplan selectTStYearplanById(Long id);

    /**
     * 查询专项培训年度计划列表
     *
     * @param tStYearplan 专项培训年度计划
     * @return 专项培训年度计划集合
     */
    @DataScope(deptAlias = "d")
    public List<TStYearplan> selectTStYearplanList(TStYearplan tStYearplan);

    /**
     * 新增专项培训年度计划
     *
     * @param tStYearplan 专项培训年度计划
     * @return 结果
     */
    public int insertTStYearplan(TStYearplan tStYearplan);

    /**
     * 修改专项培训年度计划
     *
     * @param tStYearplan 专项培训年度计划
     * @return 结果
     */
    public int updateTStYearplan(TStYearplan tStYearplan);

    /**
     * 删除专项培训年度计划
     *
     * @param id 专项培训年度计划ID
     * @return 结果
     */
    public int deleteTStYearplanById(Long id);

    /**
     * 批量删除专项培训年度计划
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTStYearplanByIds(Long[] ids);

    List<TStYearplan> selectTStYearPlanExist(TStYearplan tStYearplan);

    void deleteTStYearplanByStaffId(String staffId);
}
